from odoo import models, fields, api, _
from odoo.exceptions import UserError

class HelpdeskSettings(models.TransientModel):
    _inherit = 'res.config.settings'


    description_min_lenght = fields.Integer('Tamaño mínimo de Descripcion')
    time_simple_alert = fields.Float('Tiempo de atención simple')
    time_medium_alert = fields.Float('Tiempo de atención media')
    time_extreme_alert = fields.Float('Tiempo de atención máxima')
    color_simple_alert = fields.Integer("Color para atención simple",default=3)
    color_medium_alert = fields.Integer("Color para atención media",default=2)
    color_extreme_alert = fields.Integer("Color para atención máxima",default=9)
    

    def set_values(self):
        super(HelpdeskSettings, self).set_values()
        self.env['ir.config_parameter'].set_param('helpdesk_morsa.description_min_lenght', self.description_min_lenght)
        self.env['ir.config_parameter'].set_param('helpdesk_morsa.time_simple_alert', self.time_simple_alert)
        self.env['ir.config_parameter'].set_param('helpdesk_morsa.time_medium_alert', self.time_medium_alert)
        self.env['ir.config_parameter'].set_param('helpdesk_morsa.time_extreme_alert', self.time_extreme_alert)
        self.env['ir.config_parameter'].set_param('helpdesk_morsa.color_simple_alert', self.color_simple_alert)
        self.env['ir.config_parameter'].set_param('helpdesk_morsa.color_medium_alert', self.color_medium_alert)
        self.env['ir.config_parameter'].set_param('helpdesk_morsa.color_extreme_alert', self.color_extreme_alert)

    @api.model
    def get_values(self):
        res = super(HelpdeskSettings, self).get_values()
        params = self.env['ir.config_parameter'].sudo()
        res.update(description_min_lenght=params.get_param('helpdesk_morsa.description_min_lenght'))
        res.update(time_simple_alert=params.get_param('helpdesk_morsa.time_simple_alert'))
        res.update(time_medium_alert=params.get_param('helpdesk_morsa.time_medium_alert'))
        res.update(time_extreme_alert=params.get_param('helpdesk_morsa.time_extreme_alert'))
        res.update(color_simple_alert=params.get_param('helpdesk_morsa.color_simple_alert'))
        res.update(color_medium_alert=params.get_param('helpdesk_morsa.color_medium_alert'))
        res.update(color_extreme_alert=params.get_param('helpdesk_morsa.color_extreme_alert'))
        return res
    

    